Eclipse Platform Release 3.7

## org.eclipse.ui
Interface IMarkerResolutionGenerator

All Known Subinterfaces:
  IMarkerResolutionGenerator2

    public interface IMarkerResolutionGenerator

Creates resolutions for a given marker. When run, a resolution would typically eliminate the need for the marker.

Since:
  2.0

Method Summary
`IMarkerResolution[]` `getResolutions(IMarker marker)` Returns resolutions for the given marker (may be empty).

Method Detail

### getResolutions

    IMarkerResolution[] getResolutions(IMarker marker)

  Returns resolutions for the given marker (may be empty).

  Parameters:
    `marker` - the marker
  Returns:
    resolutions for the given marker

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.